Class CredHubRequest<T>

java.lang.Object
org.springframework.credhub.support.CredHubRequest<T>
Type Parameters:
T - the type of CredHub credential
Direct Known Subclasses:
CredentialRequest, ParametersRequest

public class CredHubRequest<T> extends Object
Fields common to all types of CredHub requests.
Author:
Scott Frederick
  • Field Details

    • mode

      protected @Nullable WriteMode mode
      The write mode indicator.
    • name

      protected @Nullable CredentialName name
      The credential name.
    • credentialType

      protected @Nullable CredentialType credentialType
      The credential type.
    • details

      protected @Nullable T details
      The credential details.
    • metadata

      protected @Nullable Map<String,Object> metadata
      Additional metadata for the credential.
  • Constructor Details

  • Method Details

    • getMode

      public @Nullable WriteMode getMode()
      Get the value of the write mode indicator.
      Returns:
      the write mode
    • getName

      public @Nullable String getName()
      Get the CredentialName of the credential.
      Returns:
      the name of the credential
    • getType

      public String getType()
      Get the CredentialType of the credential.
      Returns:
      the type of the credential
    • getMetadata

      public @Nullable Map<String,Object> getMetadata()
      Get the additional metadata for the credential. Only supported by CredHub server 2.6.0 and later; earlier server versions reject this field as an unrecognized request parameter.
      Returns:
      the credential metadata
      See Also:
    • equals

      public boolean equals(Object o)
      Overrides:
      equals in class Object
    • hashCode

      public int hashCode()
      Overrides:
      hashCode in class Object
    • toString

      public String toString()
      Overrides:
      toString in class Object